/*
 * bt_misc.h -- Miscellaneous functions used with BT stack
 *
 * Copyright (C) 2000, 2001  Axis Communications AB
 *
 * Author: Mattias Agren <mattias.agren@axis.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Exceptionally, Axis Communications AB grants discretionary and
 * conditional permissions for additional use of the text contained
 * in the company's release of the AXIS OpenBT Stack under the
 * provisions set forth hereunder.
 *
 * Provided that, if you use the AXIS OpenBT Stack with other files,
 * that do not implement functionality as specified in the Bluetooth
 * System specification, to produce an executable, this does not by
 * itself cause the resulting executable to be covered by the GNU
 * General Public License. Your use of that executable is in no way
 * restricted on account of using the AXIS OpenBT Stack code with it.
 *
 * This exception does not however invalidate any other reasons why
 * the executable file might be covered by the provisions of the GNU
 * General Public License.
 *
 * $Id: bt_misc.h,v 1.1 2004/02/26 10:36:32 cmo Exp $
 *
 */

#ifndef __BT_MISC_H__
#define __BT_MISC_H__

#define USE_NO_FLOW 0 
#define USE_FLOW_CTRL 1

#define USE_BCSP 1
#define DONT_USE_BCSP 0

#define CLIENT 0
#define SERVER 1

#define LOCAL_NAME_LENGTH  32

void fd_setup(int fd, int speed, int flow, int use_bcsp);
int translate_speed(int spd);

/* Socket handling */
int open_socket(const char *name, int role);
int open_tcpsocket(const char *addrstr, int role);

int write_pidfile(const char *pidname);
char *get_local_ip_address(void);
const char *bd2str(const unsigned char *bd);
#ifndef BT_USERSTACK
void print_data(const char *message, const unsigned char *buf, int len);
#endif
void set_pin_code(const char *pin);

#endif /* __BT_MISC_H__*/
